<?php
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	require('lib/lib.php');
	Inactividad();
}
$ClienteID = $_SESSION['ClienteID']; ?>
<script type="text/javascript">
$(document).ready(function(){

	if(AfirmarHoras ==  1)
		Inicio();
	else if(AfirmarHoras == 2)
		$("#message").html("<p class='error'>No existen Flotillas Registradas para modificar sus Horarios!</p>");
	else if(AfirmarHoras == 3)
		$("#message").html("<p class='error'>Usted no tiene privilegios para Modificar los Horarios de la Flotilla!</p>");

	function Inicio(){
		$.ajax({
			type: "POST",
			data: "Opcion=1&FlotillaID="+$('#cbFlotilla').val(),
			url: "ProcCatalHorarios.php",
			success: function(response){
				if(response == "error1")
					$("#message").html("<p class='error'>Selecione que consulta desea realizar!</p>");
				else if(response == 'error2')
					$("#message").html("<b><p class='error'>La consulta realizada es incorrecta. Verifique los datos!</p></b>");
				else
					$("#Horarios").html(response);
			}
		});
	}
	$('#FormHorarios').submit(function(){
		UpdateHorarios();
		return false;
	});
	
	function UpdateHorarios(){
		$.ajax({
			type:'POST',
			beforeSend: function(objeto, response){
				$('#message').html('');
			},
			data: 'FlotillaID='+$('#cbFlotilla').val()+'&LI='+$('#edtLunesIni').val()+'&LF='+$('#edtLunesFin').val()+'&MaI='+$('#edtMartesIni').val()+
			'&MaF='+$('#edtMartesFin').val()+'&MiI='+$('#edtMiercolesIni').val()+'&MiF='+$('#edtMiercolesFin').val()+'&JI='+$('#edtJuevesIni').val()+
			'&JF='+$('#edtJuevesFin').val()+'&VI='+$('#edtViernesIni').val()+'&VF='+$('#edtViernesFin').val()+'&SI='+$('#edtSabadoIni').val()+
			'&SF='+$('#edtSabadoFin').val()+'&DI='+$('#edtDomingoIni').val()+'&DF='+$('#edtDomingoFin').val()+'',
			url: 'ProcesarHorarios.php',
			success: function(response){
				$('#message').html(response);
			}
		});
	}
});
	function CambioFlotilla(){
		$.ajax({
			type: "POST",
			beforeSend: function(objeto, response){
				$('#message').html('');
			},
			data: "Opcion=1&FlotillaID="+$('#cbFlotilla').val(),
			url: "ProcCatalHorarios.php",
			success: function(response){
				if(response == "error1")
					$("#message").html("<p class='error'>Selecione que consulta desea realizar!</p>");
				else if(response == 'error2')
					$("#message").html("<b><p class='error'>La consulta realizada es incorrecta. Verifique los datos!</p></b>");
				else
					$("#Horarios").html(response);		
			}
		});
	}
</script>
<table align="center" width="910" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <th align="right" scope="col">
    <div id="dialog" class="dialog" title="Información del Control de Horarios">
        <p>Se muestra información sobre el Horario de Carga de las Flotillas.
        <br></br>El Formato del Horario es de 24:00 Horas AM/PM.
        <br></br>Si desea modificar el Horario de una Flotilla: 
        <br></br>* Seleccione la Flotilla a Modificar. Se mostrarán los Horarios actuales de la Flotilla.
        <br></br>* Deslice la barra para escoger el rango de Hora segun el día y la Flotilla.
        <br></br>* Registre los cambios oprimiendo el boton 'Guardar Cambios'.
        <br></br>* El Botón 'Desmarcar Todo' deja los Horarios de carga entre las 0 y 0 Horas.
        <br></br>* El Botón 'Marcar Todo' selecciona todas las horas de carga, entre las 0 y 23 Horas.</p>
    </div>
    <b>Ayuda</b><img src="images/Help.png" name="opener" width="25" height="25" id="opener"/></th>
  </tr>
  <tr>
    <th id="Titulo" scope="row">Control de Horarios.</th>
  </tr>
  <tr>
    <th scope="row">&nbsp;</th>
  </tr>
  <tr>
    <td align="center" scope="row"><? if($_SESSION['Administrador'] == 1){ ?>      <b>Seleccion el No. Flotilla</b><? } ?></td>
  </tr>
  <tr>
    <th scope="row">
      <? if($_SESSION['Administrador'] == 1){ ?><select name="cbFlotilla" id="cbFlotilla" onchange="CambioFlotilla()"><? } ?>
	<? if($_SESSION['Administrador'] == 1){		
		$QueryVehiculo = mssql_query("SELECT * FROM Vehiculo WHERE ClienteID = '$ClienteID' ORDER BY VehiculoID");
		if(mssql_num_rows($QueryVehiculo) >= 1){
			$Bandera = 1;
			echo '<script>var AfirmarHoras = 1;</script>';
			while ($EvaluarVehiculo = mssql_fetch_assoc($QueryVehiculo)){
				echo "<option value='".$EvaluarVehiculo['VehiculoID']."'>".$EvaluarVehiculo['VehiculoID']." - ".$EvaluarVehiculo['Nombre']."</option>";
			}
		}else
			echo '<script>var AfirmarHoras = 2;</script>';
	}else
		echo '<script>var AfirmarHoras = 3;</script>'; ?>
      </select>
    </th>
  </tr>
  <tr>
    <th scope="row">
    <form id="FormHorarios" name="FormHorarios" action= "" method="post">
	<div id="Horarios"></div>
    </form>
    </th>
  </tr>
  <tr>
    <th scope="row">
    <? if($Bandera == 1 && $Band == 1){ echo '<script>alert("entro);</script>'?>
      <table width="500" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td width="250" align="center"><input class="submit" type="submit" name="btnDTodo" id="btnDTodo" value="Desmarcar Todo" onclick="Desmarcar()" title="Desmarcar todas las Horas."/></td>
          <td width="250" align="center"><input class="submit" type="submit" name="btnMTodo" id="btnMTodo" value="Marcar Todo" onclick="Marcar()" title="Marcar todas las Horas."/></td>
        </tr>
      </table>
      <? } ?>
      </th>
  </tr>
  <tr>
    <th align="left" scope="row">&nbsp;</th>
  </tr>
  <tr>
    <th scope="row"><div id="message"></div></th>
  </tr>
  <tr>
    <th align="center" scope="row"><b class="error">Para cualquier duda, revise nuestra sección de Ayuda. <img src="images/Arrow.png" width="40" height="40" /></b></th>
  </tr>
</table>